"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = require("./icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = ({
  tabs,
  updateSelectedTab,
  className
}) => (0, _preact.h)("nav", {
  className: (0, _classnames.default)('db br2 flex-items-center', className)
}, tabs.map(({
  label,
  name,
  active,
  icon,
  iconColor = 'black'
}) => (0, _preact.h)("div", {
  className: "relative inline-flex items-center",
  key: name
}, icon && (0, _preact.h)(_icon.Icon, {
  size: "20",
  className: (0, _classnames.default)('absolute ml2', iconColor),
  icon: icon
}), (0, _preact.h)("a", {
  "data-e2e": "tab".concat(name),
  className: (0, _classnames.default)('pa3', {
    'underline black': !active,
    'no-underline black fw6': active,
    pl4: !!icon
  }),
  href: "#",
  onClick: e => {
    e.preventDefault();
    updateSelectedTab(name);
  }
}, label), active && (0, _preact.h)("div", {
  style: {
    height: '6px'
  },
  className: "absolute bottom-0 w-100 bb bw2 b--light-blue"
}))));

exports.default = _default;